<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    if (isset($_POST['submit'])) {

        $stmt = $conn->prepare("INSERT INTO `custom_field`(`category`,`field_name`,`field`, `field_type`) VALUES (?,?,?,?)");

        $stmt->execute([
           
            htmlspecialchars($_POST['category'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field_name'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field_type'], ENT_QUOTES, 'UTF-8'),
            
         ]);

        $_SESSION['success'] = "success";

        header("location:../manage_custome_field.php");
    }

    



// update custom....

    if (isset($_POST['update'])) {

 
        // Prepare and execute the SQL update statement
        $stmt = $conn->prepare("UPDATE `custom_field` SET `category`=?,`field_name`=?,`field`=?,`field_type`=? WHERE id=? ");
        $stmt->execute([
            htmlspecialchars($_POST['category'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field_name'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['field_type'], ENT_QUOTES, 'UTF-8'),
      
     htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_custome_field.php");
    }
    

    // delete custom..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `custom_field` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_custome_field.php");
    }
} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}
